Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QAbstractFileEngine.FileName

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QAbstractFileEngine.FileName

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractFileEngine

    public static final class QAbstractFileEngine.FileName

extends java.lang.Enum
implements QtEnumerator

These values are used to request a file name in a particular format.

See also:
  `fileName()`, and `setFileName()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractFileEngine.FileName` | `AbsoluteName` The absolute path to the file (including the base name).
`static QAbstractFileEngine.FileName` | `AbsolutePathName` The absolute path to the file (excluding the base name).
`static QAbstractFileEngine.FileName` | `BaseName` The name of the file excluding the path.
`static QAbstractFileEngine.FileName` | `BundleName` Returns the name of the bundle implies `BundleType` is set.
`static QAbstractFileEngine.FileName` | `CanonicalName` Often very similar to `LinkName` .
`static QAbstractFileEngine.FileName` | `CanonicalPathName` Same as `CanonicalName` , excluding the base name.
`static QAbstractFileEngine.FileName` | `DefaultName` The same filename that was passed to the `QAbstractFileEngine`.
`static QAbstractFileEngine.FileName` | `LinkName` The full file name of the file that this file is a link to.
`static QAbstractFileEngine.FileName` | `PathName` The path to the file excluding the base name.

Method Summary
`static QAbstractFileEngine.FileName` | `resolve(int value)` Returns the QAbstractFileEngine$FileName constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileName` | `valueOf(java.lang.String name)`
`static QAbstractFileEngine.FileName[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DefaultName

    public static final QAbstractFileEngine.FileName DefaultName

  The same filename that was passed to the `QAbstractFileEngine`.

### BaseName

    public static final QAbstractFileEngine.FileName BaseName

  The name of the file excluding the path.

### PathName

    public static final QAbstractFileEngine.FileName PathName

  The path to the file excluding the base name.

### AbsoluteName

    public static final QAbstractFileEngine.FileName AbsoluteName

  The absolute path to the file (including the base name).

### AbsolutePathName

    public static final QAbstractFileEngine.FileName AbsolutePathName

  The absolute path to the file (excluding the base name).

### LinkName

    public static final QAbstractFileEngine.FileName LinkName

  The full file name of the file that this file is a link to. (This will be empty if this file is not a link.)

### CanonicalName

    public static final QAbstractFileEngine.FileName CanonicalName

  Often very similar to `LinkName` . Will return the true path to the file.

### CanonicalPathName

    public static final QAbstractFileEngine.FileName CanonicalPathName

  Same as `CanonicalName` , excluding the base name.

### BundleName

    public static final QAbstractFileEngine.FileName BundleName

  Returns the name of the bundle implies `BundleType` is set.

Method Detail

### values

    public static QAbstractFileEngine.FileName[] values()

### valueOf

    public static QAbstractFileEngine.FileName valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractFileEngine.FileName resolve(int value)

  Returns the QAbstractFileEngine$FileName constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD